#!/bin/bash

source ~/auto-key/scripts/.autokeyfunctions
clear

while [ 1 ]
do
    ShowFactoryKeysMenu
    read CHOICE
    case "$CHOICE" in

        #CHOICE 1
        
        "1")
            clear
            cd
            cd ~/auto-key/scripts/
            ./testadb.sh
            if [[ ${adbfound} == no ]]; then
                clear
                cat ~/auto-key/scripts/text/adbnotfound.txt ;
                read -p "Press [Enter] to continue..."
                clear ;
                exit
            else
                clear
                mkdir -p -v ~/auto-key/device/backup/system
                adb pull -p system ~/auto-key/device/backup/system
                cat ~/auto-key/scripts/text/sysbakok.txt ;
                read -p "Press [Enter] to continue..."
                clear
            fi;     
            ;;

        #CHOICE 4

        "4")
            clear
            cd
            cd ~/auto-key/scripts/
            ./getotazip.sh  
            ;;

        #CHOICE 5

        "5")
            clear
            cd
            cd ~/auto-key/scripts/
            if [[ -e ~/auto-key/keys/factorykey/releasekey.x509.pem ]];
            then
                clear  
                cat ~/auto-key/scripts/text/viewpublic.txt ;
                read -p "Press [Enter] to continue..."
                clear
                openssl x509 -in ~/auto-key/keys/factorykey/releasekey.x509.pem -text
                read -p "Press [Enter] to continue..."
                clear           
            else
                clear
                cat ~/auto-key/scripts/text/makeotafirst.txt ;
                read -p "Press [Enter] to continue..."
                clear
            fi;
            ;;



        "99")
            clear
            exit
            ;;


    esac

done
exit

