#!/bin/bash

#COPYS THE OTACERTS.ZIP FROM THE /SYSTEM FOLDER IN THE BACKUP

if [[ -e ~/auto-key/keys/factorykey/otacerts.zip ]] || [[ -e ~/auto-key/keys/factorykey/releasekey.x509.pem ]] ; then
    clear
    cat ~/auto-key/scripts/text/certsexist.txt ;
    read -p "Press [Enter] to continue..."
    clear
    exit
else
    mkdir -p -v ~/auto-key/keys/factorykey
    find ~/auto-key/device/backup/system -name "otacerts.zip" -exec cp {} ~/auto-key/keys/factorykey \; ;
    
fi;

#CHECKS IF PROGRAM FOUND THE FILE

if [[ -e ~/auto-key/keys/factorykey/otacerts.zip ]]; then 

    clear
    cat ~/auto-key/scripts/text/foundotacerts.txt ;
    read -p "Press [Enter] to continue..."
    clear
    unzip -o ~/auto-key/keys/factorykey/otacerts.zip -d ~/auto-key/keys/factorykey/
    clear
else
    clear
    cat ~/auto-key/scripts/text/nootacerts.txt ;
    read -p "Press [Enter] to continue..."
    clear
    exit
fi;

#CHECKS IF PROGRAM UNZIPPED THE FILE

if [[ -e ~/auto-key/keys/factorykey/otacerts.zip ]] || [[ -e ~/auto-key/keys/factorykey/releasekey.x509.pem ]] ; then
    clear
    cat ~/auto-key/scripts/text/factkeyok.txt ;
    read -p "Press [Enter] to continue..."
    clear
else
    clear
    cat ~/auto-key/scripts/text/nootacerts.txt ;
    read -p "Press [Enter] to continue..."
    clear
    exit
fi;

